SystemOrganization addCategory: #ConfigurationOfMonticello2!

Object subclass: #ConfigurationOfMonticello2
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfMonticello2'!

!ConfigurationOfMonticello2 class methodsFor: 'as yet unclassified' stamp: 'cwp 11/8/2009 00:13'!
isMetacelloConfig
	^ true! !

!ConfigurationOfMonticello2 class methodsFor: 'as yet unclassified' stamp: 'cwp 11/8/2009 17:30'!
latestVersion
	^ self new project latestVersion! !

!ConfigurationOfMonticello2 class methodsFor: 'as yet unclassified' stamp: 'cwp 11/8/2009 19:28'!
list
	^ self latestVersion list! !

!ConfigurationOfMonticello2 class methodsFor: 'as yet unclassified' stamp: 'cwp 11/8/2009 19:24'!
list: lString
	| project |
	project := ConfigurationOfMonticello2 latestVersion.
	project load: lString.
	^ project spec loader packages collect: [:ea | ea file]! !

!ConfigurationOfMonticello2 class methodsFor: 'as yet unclassified' stamp: 'cwp 11/7/2009 23:46'!
version: aString
	^ self new project version: aString! !

!ConfigurationOfMonticello2 class methodsFor: 'as yet unclassified' stamp: 'cwp 11/8/2009 17:29'!
version: vString list: lString
	| project |
	project := (ConfigurationOfMonticello2 version: '2.1.1').
	project load: lString.
	^ project spec loader packages collect: [:ea | ea file]! !

!ConfigurationOfMonticello2 methodsFor: 'baselines' stamp: 'cwp 11/30/2009 00:28'!
grease210: spec
	<version: 'grease-2.1.0'>
	spec for: #squeak do:
		[spec 
			package: 'Grease-Core'
			with: 
				[spec
					repository: 'http://source.wiresong.ca/mc';
					file: 'Grease-Core-jf.7'];
			
			package: 'Grease-Pharo-Core'
			with:
				[spec
					repository: 'http://source.wiresong.ca/mc';
					file: 'Grease-Pharo-Core-jf.1']]! !

!ConfigurationOfMonticello2 methodsFor: 'accessing' stamp: 'cwp 11/8/2009 19:21'!
latestVersion
	^ self project latestVersion! !

!ConfigurationOfMonticello2 methodsFor: 'baselines' stamp: 'cwp 11/30/2009 00:28'!
omnibrowser210: spec 
	<version: 'omnibrowser-2.1.0'>
	spec for: #squeak do:
		[spec blessing: #baseline.
		spec package: 'OmniBrowser' with:
			[spec
				repository: 'http://source.wiresong.ca/ob';
				file: 'OmniBrowser-cwp.453'].
		spec package: 'OB-Morphic' with:
			[spec
				repository: 'http://source.wiresong.ca/ob';
				file: 'OB-Morphic-DamienCassou.101'].
		spec package: 'OB-Tests-Core' with:
			[spec
				repository: 'http://source.wiresong.ca/ob';
				file: 'OB-Tests-Core-cwp.72']]! !

!ConfigurationOfMonticello2 methodsFor: 'accessing' stamp: 'cwp 11/7/2009 22:05'!
project
	
	^ project ifNil: [ | constructor loader |
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		loader := MetacelloNullRecordingMCSpecLoader new.
		loader evalDoits: true.
		project loader: loader.
		project ]! !

!ConfigurationOfMonticello2 methodsFor: 'baselines' stamp: 'cwp 11/30/2009 23:59'!
structure210: spec 
	<version: 'structure-2.1.0' imports: #('grease-2.1.0' 'omnibrowser-2.1.0')>
	spec for: #squeak do:
		[spec blessing: #alpha.
		spec repository: 'http://source.wiresong.ca/mc'.
			
		spec 
			package: 'MC2-SqueakPlatform';
			
			package: 'MC2-Core'
			with: [spec requires: #('MC2-SqueakPlatform' 'Grease-Core' 'Grease-Pharo-Core')];
			
			package: 'MC2-Smalltalk'
			with: [spec requires: 'MC2-Core'];
			
			package: 'MC2-Squeak-Smalltalk'
			with: [spec requires: 'MC2-Smalltalk'];
			
			package: 'MC2-Export-Chunk'
			with: [spec requires: #('MC2-Core' 'MC2-Smalltalk')];
			
			package: 'MC2-Repository-File'
			with: [spec requires: 'MC2-Core'];
			
			package: 'MC2-Repository-Directory'
			with: [spec requires: 'MC2-Repository-File'];
			
			package: 'MC2-Repository-Network'
			with: [spec requires: 'MC2-Core'];
			
			package: 'MC2-Meta-Core'
			with: [spec requires: 'MC2-Core'];
			
			package: 'MC2-Meta-Squeak-Smalltalk'
			with: [spec requires: #('MC2-Meta-Core' 'MC2-Squeak-Smalltalk' )];
			
			package: 'MC2-Meta-Repository-File'
			with: [spec requires: #('MC2-Meta-Core' 'MC2-Repository-File' )];
			
			package: 'MC2-Meta-Repository-Directory'
			with: [spec requires: #('MC2-Meta-Core' 'MC2-Repository-Directory' )];
			
			package: 'MC2-Meta-Repository-Network'
			with: [spec requires: #('MC2-Meta-Core' 'MC2-Repository-Network' )];
			
			package: 'MC2-OmniBrowser'
			with: [spec requires: #('MC2-Core' 'OmniBrowser' 'OB-Morphic')];
			
			package: 'MC2-Tests-Core'
			with: [spec requires: 'MC2-Core'];
			
			package: 'MC2-Tests-Export-Chunk'
			with: [spec requires: 'MC2-Export-Chunk'];

			package: 'MC2-Tests-Smalltalk'
			with: [spec requires: #('MC2-Tests-Core' 'MC2-Smalltalk' 'MC2-Meta-Core')];
			
			package: 'MC2-Tests-Squeak-Smalltalk'
			with: [spec requires: #('MC2-Tests-Core' 'MC2-Tests-Smalltalk' 'MC2-Squeak-Smalltalk' )];
			
			package: 'MC2-Tests-Repository-File'
			with: [spec requires: #('MC2-Tests-Core' 'MC2-Repository-File' )];
			
			package: 'MC2-Tests-Repository-Directory'
			with: [spec requires: #('MC2-Tests-Core' 'MC2-Repository-Directory' )];
			
			package: 'MC2-Tests-Repository-Network'
			with: [spec requires: #('MC2-Tests-Core' 'MC2-Repository-Network' 'MockLibrary' )];
			
			package: 'MC2-Tests-OmniBrowser'
			with: [spec requires: #(
					'MC2-OmniBrowser' 'MC2-Squeak-Smalltalk' 
					'MC2-Repository-Directory' 
					'MC2-Repository-File'
					'MC2-Repository-Network'
					'OB-Tests-Core' 
					'MC2-Tests-Meta-Core')];
			
			package: 'MC2-Tests-Meta-Core'
			with: [spec requires: #('MC2-Tests-Core' 'MC2-Meta-Core' )];
			
			package: 'MC2-Tests-Meta-Squeak-Smalltalk'
			with: [spec requires: #('MC2-Tests-Meta-Core' 'MC2-Meta-Squeak-Smalltalk' )];
			
			package: 'MC2-Tests-Meta-Repository-File'
			with: [spec requires: #('MC2-Tests-Meta-Core' 'MC2-Meta-Repository-File' )];
			
			package: 'MC2-Tests-Meta-Repository-Directory'
			with: [spec requires: #('MC2-Tests-Meta-Core' 'MC2-Meta-Repository-Directory' )];
			
			package: 'MC2-Tests-Meta-Repository-Network'
			with: [spec requires: #('MC2-Tests-Meta-Core' 'MC2-Meta-Repository-Network' )];
		
			group: 'DEFAULT' with: #(
				'MC2-SqueakPlatform'
				'MC2-Core'
				'MC2-Smalltalk'
				'MC2-Squeak-Smalltalk'
				'MC2-Export-Chunk'
				'MC2-Repository-File'
				'MC2-Repository-Directory'
				'MC2-Repository-Network'
				'MC2-OmniBrowser'
				'MC2-Meta-Core'
				'MC2-Meta-Squeak-Smalltalk'
				'MC2-Meta-Repository-File'
				'MC2-Meta-Repository-Directory'
				'MC2-Meta-Repository-Network');
			group: 'Tests' with: #(
				'MC2-Tests-Core'
				'MC2-Tests-Export-Chunk'
				'MC2-Tests-Smalltalk'
				'MC2-Tests-Squeak-Smalltalk'
				'MC2-Tests-Repository-File'
				'MC2-Tests-Repository-Directory'
				'MC2-Tests-Repository-Network'
				'MC2-Tests-Meta-Core'
				'MC2-Tests-OmniBrowser'
				'MC2-Tests-Meta-Squeak-Smalltalk'
				'MC2-Tests-Meta-Repository-File'
				'MC2-Tests-Meta-Repository-Directory'
				'MC2-Tests-Meta-Repository-Network')]
		! !

!ConfigurationOfMonticello2 methodsFor: 'versions' stamp: 'cwp 1/8/2010 14:05'!
version210: spec
	<version: '2.1.0' imports: #('structure-2.1.0' )>

	spec for: #squeak do: [
		spec 
			package: 'MC2-SqueakPlatform' with: 'MC2-SqueakPlatform-cwp.37';
			package: 'MC2-Core' with: 'MC2-Core-cwp.14';
			package: 'MC2-Smalltalk' with: 'MC2-Smalltalk-jf.1';
			package: 'MC2-Squeak-Smalltalk' with: 'MC2-Squeak-Smalltalk-cwp.12';
			package: 'MC2-Export-Chunk' with: 'MC2-Export-Chunk-jf.2';
			package: 'MC2-Repository-File' with: 'MC2-Repository-File-cwp.4';
			package: 'MC2-Repository-Directory' with: 'MC2-Repository-Directory-jf.2';
			package: 'MC2-Repository-Network' with: 'MC2-Repository-Network-cwp.3';
			package: 'MC2-Meta-Core' with: 'MC2-Meta-Core-jf.4';
			package: 'MC2-Meta-Squeak-Smalltalk' with: 'MC2-Meta-Squeak-Smalltalk-cwp.1';
			package: 'MC2-Meta-Repository-File' with: 'MC2-Meta-Repository-File-cwp.1';
			package: 'MC2-Meta-Repository-Directory' with: 'MC2-Meta-Repository-Directory-cwp.1';
			package: 'MC2-Meta-Repository-Network' with: 'MC2-Meta-Repository-Network-cwp.1';
			package: 'MC2-OmniBrowser' with: 'MC2-OmniBrowser-jf.4';
			package: 'MC2-Tests-Core' with: 'MC2-Tests-Core-cwp.16';
			package: 'MC2-Tests-Export-Chunk' with: 'MC2-Tests-Export-Chunk-cwp.2';
			package: 'MC2-Tests-Smalltalk' with: 'MC2-Tests-Smalltalk-cwp.5';
			package: 'MC2-Tests-Squeak-Smalltalk' with: 'MC2-Tests-Squeak-Smalltalk-cwp.10';
			package: 'MC2-Tests-Repository-File' with: 'MC2-Tests-Repository-File-cwp.3';
			package: 'MC2-Tests-Repository-Directory' with: 'MC2-Tests-Repository-Directory-cwp.4';
			package: 'MC2-Tests-Repository-Network' with: 'MC2-Tests-Repository-Network-jf.2';
			package: 'MC2-Tests-OmniBrowser' with: 'MC2-Tests-OmniBrowser-cwp.1';
			package: 'MC2-Tests-Meta-Core' with: 'MC2-Tests-Meta-Core-cwp.5';
			package: 'MC2-Tests-Meta-Squeak-Smalltalk' with: 'MC2-Tests-Meta-Squeak-Smalltalk-cwp.2';
			package: 'MC2-Tests-Meta-Repository-File' with: 'MC2-Tests-Meta-Repository-File-cwp.2';
			package: 'MC2-Tests-Meta-Repository-Directory' with: 'MC2-Tests-Meta-Repository-Directory-cwp.2';
			package: 'MC2-Tests-Meta-Repository-Network' with: 'MC2-Tests-Meta-Repository-Network-cwp.2';
			package: 'MockLibrary' with: 'MockLibrary-cwp.7'.].! !

!ConfigurationOfMonticello2 methodsFor: 'accessing' stamp: 'cwp 11/25/2009 23:28'!
version: aString
	^ self project version: aString! !
